#include <stdio.h>
#include <stdlib.h>
//Pointer'in neden olmasi gerektigini gosteren bir program.
void swap(int x,int y) // local variable
{
    int temp;
    temp=x;
    x=y;
    y=temp;
}

int main()
{
    int a=5; //global variable
    int b=6; //global variable

    printf("%d %d\n",a,b);
    swap(a,b);  // a ve b nin degeri x ve y'ye kopyalanir. Yani degisim x ve y de degisti, a ve b 'de degil.
    printf("%d %d",a,b);

    return 0;
}
